> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truecall.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Sessions

> Retrieves a paginated list of sessions.



## OpenAPI

````yaml public-openapi GET /sessions
openapi: 3.0.1
info:
  title: TrueCall Api Specs
  description: TrueCall public API reference
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.truecall.com
security:
  - bearerAuth: []
paths:
  /sessions:
    get:
      description: Retrieves a paginated list of sessions.
      parameters:
        - $ref: '#/components/parameters/PageSizeParam'
        - $ref: '#/components/parameters/PageTokenParam'
      responses:
        '200':
          description: Sessions listing response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SessionListingResponse'
        '400':
          $ref: '#/components/responses/BadReqResponse'
        '401':
          $ref: '#/components/responses/UnauthorizedResponse'
components:
  parameters:
    PageSizeParam:
      name: page_size
      in: query
      description: Number of items per page (1-100).
      schema:
        type: integer
        minimum: 1
        maximum: 100
    PageTokenParam:
      name: page_token
      in: query
      description: Token to fetch the next page of results, if available.
      schema:
        type: string
  schemas:
    SessionListingResponse:
      type: object
      properties:
        status:
          $ref: '#/components/schemas/SuccessStatus'
        data:
          type: object
          properties:
            items:
              type: array
              items:
                $ref: '#/components/schemas/SessionListSnippet'
            pagination:
              $ref: '#/components/schemas/PaginationObject'
    SuccessStatus:
      type: string
      enum:
        - success
        - error
      example: success
    SessionListSnippet:
      type: object
      properties:
        tc_id:
          type: string
        created_at:
          $ref: '#/components/schemas/CreatedAt'
        source_url:
          type: string
        generator_id:
          type: string
    PaginationObject:
      type: object
      properties:
        has_next_page:
          type: boolean
          description: >-
            Indicates whether there are more pages available after the current
            page.
        next_page_token:
          type: string
          description: Token to fetch the next page of results, if available.
      description: Pagination information
    MissingApiKeySchema:
      required:
        - error
        - message
      type: object
      properties:
        status:
          $ref: '#/components/schemas/ErrorStatus'
        message:
          type: string
          example: Missing api_key
    InvalidApiKeySchema:
      required:
        - error
        - message
      type: object
      properties:
        status:
          $ref: '#/components/schemas/ErrorStatus'
        message:
          type: string
          example: Invalid api_key
    CreatedAt:
      type: number
      description: timestamp representation of when the item was created
      example: 1718104009000
    ErrorStatus:
      type: string
      enum:
        - error
      example: error
  responses:
    BadReqResponse:
      description: Bad request exception
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/MissingApiKeySchema'
    UnauthorizedResponse:
      description: Unauthorized exception
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/InvalidApiKeySchema'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````